Name:		snd
Version:	24.6
Release:	%mkrel 1
Summary:	Sound file editor
License:	BSD
Group:		Sound/Editors and Converters
Url:		https://ccrma.stanford.edu/software/snd/
Source0:	ftp://ccrma-ftp.stanford.edu/pub/Lisp/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		snd-20.8-fix-portaudio-link.patch
ExclusiveArch:	%ix86 x86_64
# Math
BuildRequires:	gmp-devel
BuildRequires:	pkgconfig(fftw3)
# Output audio
BuildRequires:	ladspa-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(samplerate)
# GUI stuff
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gsl) >= 1.0
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	motif-devel
# Encoders & Co.
BuildRequires:	flac
BuildRequires:	mpg123
BuildRequires:	mpg321
BuildRequires:	speex
BuildRequires:	TiMidity++
BuildRequires:	ttaenc
BuildRequires:	vorbis-tools
BuildRequires:	wavpack
BuildRequires:	libmpc-devel

%description
Snd is a free sound editor modelled loosely after Emacs and an old,
sorely-missed PDP-10 sound editor named Dpysnd.

%files
%doc README.Snd HISTORY.Snd NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*

#-----------------------------------------------------------------------------

%prep
%autosetup -p1

# Fix perms
chmod 0644 s7.c

%build
%configure \
	--with-gsl \
	--with-gmp \
	--with-fftw \
	--with-alsa \
	--with-portaudio \
	--with-jack \
	--with-ladspa \
	--with-gtk \
	--with-gui

%make_build

%install
%make_install

# Provide a menu item
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# Fix perms
chmod +x %{buildroot}%{_datadir}/%{name}/grani.rb


%changelog
* Tue Aug 06 2024 daviddavid <daviddavid> 24.6-1.mga10
+ Revision: 2083692
- new version: 24.6

* Thu Jul 04 2024 daviddavid <daviddavid> 24.5-1.mga10
+ Revision: 2079663
- new version: 24.5

* Mon May 20 2024 daviddavid <daviddavid> 24.4-1.mga10
+ Revision: 2065264
- new version: 24.4

* Wed Apr 17 2024 daviddavid <daviddavid> 24.3-1.mga10
+ Revision: 2058377
- new version: 24.3

* Thu Mar 21 2024 daviddavid <daviddavid> 24.2-1.mga10
+ Revision: 2051069
- new version: 24.2

* Tue Feb 06 2024 daviddavid <daviddavid> 24.1-1.mga10
+ Revision: 2037914
- new version: 24.1

* Sat Jan 13 2024 daviddavid <daviddavid> 24.0-1.mga10
+ Revision: 2030859
- new version: 24.0

* Thu Nov 30 2023 daviddavid <daviddavid> 23.9-1.mga10
+ Revision: 2011870
- new version: 23.9

* Thu Oct 19 2023 daviddavid <daviddavid> 23.8-1.mga10
+ Revision: 1999092
- new version: 23.8

* Fri Sep 22 2023 daviddavid <daviddavid> 23.7-1.mga10
+ Revision: 1989366
- new version: 23.7

* Mon Aug 28 2023 daviddavid <daviddavid> 23.6-1.mga10
+ Revision: 1980346
- new version: 23.6

* Fri Feb 10 2023 daviddavid <daviddavid> 23.1-1.mga9
+ Revision: 1940038
- new version: 23.1

* Mon Jan 02 2023 daviddavid <daviddavid> 23.0-1.mga9
+ Revision: 1929167
- new version: 23.0

* Thu Dec 29 2022 daviddavid <daviddavid> 22.9-2.mga9
+ Revision: 1927523
- rebuild for new gsl 2.7.1

* Tue Nov 22 2022 daviddavid <daviddavid> 22.9-1.mga9
+ Revision: 1909973
- new version: 22.9

* Sun Nov 06 2022 daviddavid <daviddavid> 22.8-1.mga9
+ Revision: 1904100
- new version: 22.8

* Sun Sep 11 2022 neoclust <neoclust> 22.6-1.mga9
+ Revision: 1887328
- Disable pulseaudio for the moment, it does not build
- New version 	22.6

* Fri Apr 01 2022 umeabot <umeabot> 21.4-2.mga9
+ Revision: 1839529
- Mageia 9 Mass Rebuild

* Tue May 25 2021 daviddavid <daviddavid> 21.4-1.mga9
+ Revision: 1728136
- new version: 21.4

* Fri Apr 16 2021 daviddavid <daviddavid> 21.3-1.mga9
+ Revision: 1715942
- new version: 21.3

* Wed Mar 10 2021 daviddavid <daviddavid> 21.2-1.mga9
+ Revision: 1701027
- new version: 21.2

* Thu Feb 25 2021 daviddavid <daviddavid> 21.1-1.mga9
+ Revision: 1690732
- new version: 21.1

* Mon Jan 04 2021 daviddavid <daviddavid> 21.0-1.mga8
+ Revision: 1668542
- new version: 21.0

* Mon Nov 23 2020 daviddavid <daviddavid> 20.9-1.mga8
+ Revision: 1648631
- new version: 20.9

* Thu Oct 15 2020 daviddavid <daviddavid> 20.8-1.mga8
+ Revision: 1636153
- new version: 20.8

* Mon Sep 07 2020 daviddavid <daviddavid> 20.7-1.mga8
+ Revision: 1623304
- new version: 20.7

* Fri Aug 07 2020 daviddavid <daviddavid> 20.6-1.mga8
+ Revision: 1611752
- new version: 20.6

* Fri Jul 03 2020 daviddavid <daviddavid> 20.5-1.mga8
+ Revision: 1601518
- new version: 20.5

* Thu May 28 2020 daviddavid <daviddavid> 20.4-1.mga8
+ Revision: 1588272
- new version: 20.4

* Fri Apr 17 2020 daviddavid <daviddavid> 20.3-1.mga8
+ Revision: 1567950
- new version: 20.3

* Fri Mar 13 2020 daviddavid <daviddavid> 20.2-1.mga8
+ Revision: 1556035
- new version: 20.2

* Thu Feb 20 2020 umeabot <umeabot> 20.1-2.mga8
+ Revision: 1547240
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 20.1-1.mga8
+ Revision: 1487730
- new version: 20.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 02 2020 daviddavid <daviddavid> 20.0-1.mga8
+ Revision: 1475442
- new version: 20.0

* Wed Nov 20 2019 daviddavid <daviddavid> 19.9-1.mga8
+ Revision: 1461759
- new version: 19.9

* Mon Oct 14 2019 daviddavid <daviddavid> 19.8-1.mga8
+ Revision: 1453065
- new version: 19.8

* Thu Sep 12 2019 daviddavid <daviddavid> 19.7-1.mga8
+ Revision: 1440073
- new version: 19.7

* Tue Aug 27 2019 daviddavid <daviddavid> 19.6-2.mga8
+ Revision: 1433788
- rebuild for new gsl 2.6

* Wed Jul 31 2019 daviddavid <daviddavid> 19.6-1.mga8
+ Revision: 1426127
- new version: 19.6

* Sun Jun 30 2019 daviddavid <daviddavid> 19.5-1.mga8
+ Revision: 1416270
- new version: 19.5

* Mon Apr 15 2019 daviddavid <daviddavid> 19.3-1.mga7
+ Revision: 1390629
- new version: 19.3

* Mon Mar 11 2019 daviddavid <daviddavid> 19.2-1.mga7
+ Revision: 1373909
- new version: 19.2

* Wed Feb 06 2019 daviddavid <daviddavid> 19.1-1.mga7
+ Revision: 1363621
- new version: 19.1

* Wed Jan 02 2019 daviddavid <daviddavid> 19.0-1.mga7
+ Revision: 1348549
- new version: 19.0

* Tue Nov 27 2018 daviddavid <daviddavid> 19-1.mga7
+ Revision: 1335931
- new version: 19

* Thu Nov 22 2018 daviddavid <daviddavid> 18.9-2.mga7
+ Revision: 1333372
- initial package snd

